clang 10.0.0git

Macros
avx512erintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | _mm512_exp2a23_round_pd(A, R)
#define | _mm512_mask_exp2a23_round_pd(S, M, A, R)
#define | _mm512_maskz_exp2a23_round_pd(M, A, R)
#define | _mm512_exp2a23_pd(A) _mm512_exp2a23_round_pd((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_exp2a23_pd(S, M, A) _mm512_mask_exp2a23_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_exp2a23_pd(M, A) _mm512_maskz_exp2a23_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_exp2a23_round_ps(A, R)
#define | _mm512_mask_exp2a23_round_ps(S, M, A, R)
#define | _mm512_maskz_exp2a23_round_ps(M, A, R)
#define | _mm512_exp2a23_ps(A) _mm512_exp2a23_round_ps((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_exp2a23_ps(S, M, A) _mm512_mask_exp2a23_round_ps((S), (M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_exp2a23_ps(M, A) _mm512_maskz_exp2a23_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_rsqrt28_round_pd(A, R)
#define | _mm512_mask_rsqrt28_round_pd(S, M, A, R)
#define | _mm512_maskz_rsqrt28_round_pd(M, A, R)
#define | _mm512_rsqrt28_pd(A) _mm512_rsqrt28_round_pd((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_rsqrt28_pd(S, M, A) _mm512_mask_rsqrt28_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_rsqrt28_pd(M, A) _mm512_maskz_rsqrt28_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_rsqrt28_round_ps(A, R)
#define | _mm512_mask_rsqrt28_round_ps(S, M, A, R)
#define | _mm512_maskz_rsqrt28_round_ps(M, A, R)
#define | _mm512_rsqrt28_ps(A) _mm512_rsqrt28_round_ps((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_rsqrt28_ps(S, M, A) _mm512_mask_rsqrt28_round_ps((S), (M), A, _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_rsqrt28_ps(M, A) _mm512_maskz_rsqrt28_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm_rsqrt28_round_ss(A, B, R)
#define | _mm_mask_rsqrt28_round_ss(S, M, A, B, R)
#define | _mm_maskz_rsqrt28_round_ss(M, A, B, R)
#define | _mm_rsqrt28_ss(A, B) _mm_rsqrt28_round_ss((A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_mask_rsqrt28_ss(S, M, A, B) _mm_mask_rsqrt28_round_ss((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_maskz_rsqrt28_ss(M, A, B) _mm_maskz_rsqrt28_round_ss((M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_rsqrt28_round_sd(A, B, R)
#define | _mm_mask_rsqrt28_round_sd(S, M, A, B, R)
#define | _mm_maskz_rsqrt28_round_sd(M, A, B, R)
#define | _mm_rsqrt28_sd(A, B) _mm_rsqrt28_round_sd((A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_mask_rsqrt28_sd(S, M, A, B) _mm_mask_rsqrt28_round_sd((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_maskz_rsqrt28_sd(M, A, B) _mm_maskz_rsqrt28_round_sd((M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_rcp28_round_pd(A, R)
#define | _mm512_mask_rcp28_round_pd(S, M, A, R)
#define | _mm512_maskz_rcp28_round_pd(M, A, R)
#define | _mm512_rcp28_pd(A) _mm512_rcp28_round_pd((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_rcp28_pd(S, M, A) _mm512_mask_rcp28_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_rcp28_pd(M, A) _mm512_maskz_rcp28_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_rcp28_round_ps(A, R)
#define | _mm512_mask_rcp28_round_ps(S, M, A, R)
#define | _mm512_maskz_rcp28_round_ps(M, A, R)
#define | _mm512_rcp28_ps(A) _mm512_rcp28_round_ps((A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_mask_rcp28_ps(S, M, A) _mm512_mask_rcp28_round_ps((S), (M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm512_maskz_rcp28_ps(M, A) _mm512_maskz_rcp28_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)
#define | _mm_rcp28_round_ss(A, B, R)
#define | _mm_mask_rcp28_round_ss(S, M, A, B, R)
#define | _mm_maskz_rcp28_round_ss(M, A, B, R)
#define | _mm_rcp28_ss(A, B) _mm_rcp28_round_ss((A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_mask_rcp28_ss(S, M, A, B) _mm_mask_rcp28_round_ss((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_maskz_rcp28_ss(M, A, B) _mm_maskz_rcp28_round_ss((M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_rcp28_round_sd(A, B, R)
#define | _mm_mask_rcp28_round_sd(S, M, A, B, R)
#define | _mm_maskz_rcp28_round_sd(M, A, B, R)
#define | _mm_rcp28_sd(A, B) _mm_rcp28_round_sd((A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_mask_rcp28_sd(S, M, A, B) _mm_mask_rcp28_round_sd((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)
#define | _mm_maskz_rcp28_sd(M, A, B) _mm_maskz_rcp28_round_sd((M), (A), (B), _MM_FROUND_CUR_DIRECTION)

## Macro Definition Documentation

## ◆ _mm512_exp2a23_pd

#define _mm512_exp2a23_pd | ( |  | A | ) | _mm512_exp2a23_round_pd((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 32 of file avx512erintrin.h.

## ◆ _mm512_exp2a23_ps

#define _mm512_exp2a23_ps | ( |  | A | ) | _mm512_exp2a23_round_ps((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 56 of file avx512erintrin.h.

## ◆ _mm512_exp2a23_round_pd

#define _mm512_exp2a23_round_pd | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_exp2pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 17 of file avx512erintrin.h.

## ◆ _mm512_exp2a23_round_ps

#define _mm512_exp2a23_round_ps | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_exp2ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)-1, (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 41 of file avx512erintrin.h.

## ◆ _mm512_mask_exp2a23_pd

#define _mm512_mask_exp2a23_pd | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_exp2a23_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 35 of file avx512erintrin.h.

## ◆ _mm512_mask_exp2a23_ps

#define _mm512_mask_exp2a23_ps | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_exp2a23_round_ps((S), (M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 59 of file avx512erintrin.h.

## ◆ _mm512_mask_exp2a23_round_pd

#define _mm512_mask_exp2a23_round_pd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_exp2pd_mask((__v8df)(__m512d)(A), \
(__v8df)(__m512d)(S), (__mmask8)(M), \
(int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 22 of file avx512erintrin.h.

## ◆ _mm512_mask_exp2a23_round_ps

#define _mm512_mask_exp2a23_round_ps | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_exp2ps_mask((__v16sf)(__m512)(A), \
(__v16sf)(__m512)(S), (__mmask16)(M), \
(int)(R))
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 46 of file avx512erintrin.h.

## ◆ _mm512_mask_rcp28_pd

#define _mm512_mask_rcp28_pd | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_rcp28_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 187 of file avx512erintrin.h.

## ◆ _mm512_mask_rcp28_ps

#define _mm512_mask_rcp28_ps | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_rcp28_round_ps((S), (M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 211 of file avx512erintrin.h.

## ◆ _mm512_mask_rcp28_round_pd

#define _mm512_mask_rcp28_round_pd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rcp28pd_mask((__v8df)(__m512d)(A), \
(__v8df)(__m512d)(S), (__mmask8)(M), \
(int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 174 of file avx512erintrin.h.

## ◆ _mm512_mask_rcp28_round_ps

#define _mm512_mask_rcp28_round_ps | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rcp28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)(__m512)(S), (__mmask16)(M), \
(int)(R))
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 198 of file avx512erintrin.h.

## ◆ _mm512_mask_rsqrt28_pd

#define _mm512_mask_rsqrt28_pd | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_rsqrt28_round_pd((S), (M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 84 of file avx512erintrin.h.

## ◆ _mm512_mask_rsqrt28_ps

#define _mm512_mask_rsqrt28_ps | ( |  | S,
|  |  | M,
|  |  | A
| ) |  | _mm512_mask_rsqrt28_round_ps((S), (M), A, _MM_FROUND_CUR_DIRECTION)

Definition at line 108 of file avx512erintrin.h.

## ◆ _mm512_mask_rsqrt28_round_pd

#define _mm512_mask_rsqrt28_round_pd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rsqrt28pd_mask((__v8df)(__m512d)(A), \
(__v8df)(__m512d)(S), (__mmask8)(M), \
(int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 71 of file avx512erintrin.h.

## ◆ _mm512_mask_rsqrt28_round_ps

#define _mm512_mask_rsqrt28_round_ps | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rsqrt28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)(__m512)(S), (__mmask16)(M), \
(int)(R))
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 95 of file avx512erintrin.h.

## ◆ _mm512_maskz_exp2a23_pd

#define _mm512_maskz_exp2a23_pd | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_exp2a23_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 38 of file avx512erintrin.h.

## ◆ _mm512_maskz_exp2a23_ps

#define _mm512_maskz_exp2a23_ps | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_exp2a23_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 62 of file avx512erintrin.h.

## ◆ _mm512_maskz_exp2a23_round_pd

#define _mm512_maskz_exp2a23_round_pd | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_exp2pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 27 of file avx512erintrin.h.

## ◆ _mm512_maskz_exp2a23_round_ps

#define _mm512_maskz_exp2a23_round_ps | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_exp2ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)(M), (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 51 of file avx512erintrin.h.

## ◆ _mm512_maskz_rcp28_pd

#define _mm512_maskz_rcp28_pd | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_rcp28_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 190 of file avx512erintrin.h.

## ◆ _mm512_maskz_rcp28_ps

#define _mm512_maskz_rcp28_ps | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_rcp28_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 214 of file avx512erintrin.h.

## ◆ _mm512_maskz_rcp28_round_pd

#define _mm512_maskz_rcp28_round_pd | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rcp28pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 179 of file avx512erintrin.h.

## ◆ _mm512_maskz_rcp28_round_ps

#define _mm512_maskz_rcp28_round_ps | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rcp28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)(M), (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 203 of file avx512erintrin.h.

## ◆ _mm512_maskz_rsqrt28_pd

#define _mm512_maskz_rsqrt28_pd | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_rsqrt28_round_pd((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 87 of file avx512erintrin.h.

## ◆ _mm512_maskz_rsqrt28_ps

#define _mm512_maskz_rsqrt28_ps | ( |  | M,
|  |  | A
| ) |  | _mm512_maskz_rsqrt28_round_ps((M), (A), _MM_FROUND_CUR_DIRECTION)

Definition at line 111 of file avx512erintrin.h.

## ◆ _mm512_maskz_rsqrt28_round_pd

#define _mm512_maskz_rsqrt28_round_pd | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rsqrt28pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 76 of file avx512erintrin.h.

## ◆ _mm512_maskz_rsqrt28_round_ps

#define _mm512_maskz_rsqrt28_round_ps | ( |  | M,
|  |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rsqrt28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)(M), (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 100 of file avx512erintrin.h.

## ◆ _mm512_rcp28_pd

#define _mm512_rcp28_pd | ( |  | A | ) | _mm512_rcp28_round_pd((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 184 of file avx512erintrin.h.

## ◆ _mm512_rcp28_ps

#define _mm512_rcp28_ps | ( |  | A | ) | _mm512_rcp28_round_ps((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 208 of file avx512erintrin.h.

## ◆ _mm512_rcp28_round_pd

#define _mm512_rcp28_round_pd | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rcp28pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 169 of file avx512erintrin.h.

## ◆ _mm512_rcp28_round_ps

#define _mm512_rcp28_round_ps | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rcp28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)-1, (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 193 of file avx512erintrin.h.

## ◆ _mm512_rsqrt28_pd

#define _mm512_rsqrt28_pd | ( |  | A | ) | _mm512_rsqrt28_round_pd((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 81 of file avx512erintrin.h.

## ◆ _mm512_rsqrt28_ps

#define _mm512_rsqrt28_ps | ( |  | A | ) | _mm512_rsqrt28_round_ps((A), _MM_FROUND_CUR_DIRECTION)

Definition at line 105 of file avx512erintrin.h.

## ◆ _mm512_rsqrt28_round_pd

#define _mm512_rsqrt28_round_pd | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512d)__builtin_ia32_rsqrt28pd_mask((__v8df)(__m512d)(A), \
(__v8df)_mm512_setzero_pd(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm512_setzero_pd
static __inline __m512d __DEFAULT_FN_ATTRS512 _mm512_setzero_pd(void)
Definition: avx512fintrin.h:262

Definition at line 66 of file avx512erintrin.h.

## ◆ _mm512_rsqrt28_round_ps

#define _mm512_rsqrt28_round_ps | ( |  | A,
|  |  | R
| ) |  |

Value:
(__m512)__builtin_ia32_rsqrt28ps_mask((__v16sf)(__m512)(A), \
(__v16sf)_mm512_setzero_ps(), \
(__mmask16)-1, (int)(R))
_mm512_setzero_ps
static __inline __m512 __DEFAULT_FN_ATTRS512 _mm512_setzero_ps(void)
Definition: avx512fintrin.h:253
__mmask16
unsigned short __mmask16
Definition: avx512fintrin.h:38

Definition at line 90 of file avx512erintrin.h.

## ◆ _mm_mask_rcp28_round_sd

#define _mm_mask_rcp28_round_sd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rcp28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)(__m128d)(S), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 250 of file avx512erintrin.h.

## ◆ _mm_mask_rcp28_round_ss

#define _mm_mask_rcp28_round_ss | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rcp28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)(__m128)(S), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 223 of file avx512erintrin.h.

## ◆ _mm_mask_rcp28_sd

#define _mm_mask_rcp28_sd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_mask_rcp28_round_sd((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 265 of file avx512erintrin.h.

## ◆ _mm_mask_rcp28_ss

#define _mm_mask_rcp28_ss | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_mask_rcp28_round_ss((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 238 of file avx512erintrin.h.

## ◆ _mm_mask_rsqrt28_round_sd

#define _mm_mask_rsqrt28_round_sd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rsqrt28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)(__m128d)(S), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 147 of file avx512erintrin.h.

## ◆ _mm_mask_rsqrt28_round_ss

#define _mm_mask_rsqrt28_round_ss | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rsqrt28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)(__m128)(S), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37

Definition at line 120 of file avx512erintrin.h.

## ◆ _mm_mask_rsqrt28_sd

#define _mm_mask_rsqrt28_sd | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_mask_rsqrt28_round_sd((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 162 of file avx512erintrin.h.

## ◆ _mm_mask_rsqrt28_ss

#define _mm_mask_rsqrt28_ss | ( |  | S,
|  |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_mask_rsqrt28_round_ss((S), (M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 135 of file avx512erintrin.h.

## ◆ _mm_maskz_rcp28_round_sd

#define _mm_maskz_rcp28_round_sd | ( |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rcp28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)_mm_setzero_pd(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_pd
static __inline__ __m128d __DEFAULT_FN_ATTRS _mm_setzero_pd(void)
Constructs a 128-bit floating-point vector of [2 x double] initialized to zero.
Definition: emmintrin.h:1911

Definition at line 256 of file avx512erintrin.h.

## ◆ _mm_maskz_rcp28_round_ss

#define _mm_maskz_rcp28_round_ss | ( |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rcp28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)_mm_setzero_ps(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_ps
static __inline__ __m128 __DEFAULT_FN_ATTRS _mm_setzero_ps(void)
Constructs a 128-bit floating-point vector of [4 x float] initialized to zero.
Definition: xmmintrin.h:1903

Definition at line 229 of file avx512erintrin.h.

## ◆ _mm_maskz_rcp28_sd

#define _mm_maskz_rcp28_sd | ( |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_maskz_rcp28_round_sd((M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 268 of file avx512erintrin.h.

## ◆ _mm_maskz_rcp28_ss

#define _mm_maskz_rcp28_ss | ( |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_maskz_rcp28_round_ss((M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 241 of file avx512erintrin.h.

## ◆ _mm_maskz_rsqrt28_round_sd

#define _mm_maskz_rsqrt28_round_sd | ( |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rsqrt28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)_mm_setzero_pd(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_pd
static __inline__ __m128d __DEFAULT_FN_ATTRS _mm_setzero_pd(void)
Constructs a 128-bit floating-point vector of [2 x double] initialized to zero.
Definition: emmintrin.h:1911

Definition at line 153 of file avx512erintrin.h.

## ◆ _mm_maskz_rsqrt28_round_ss

#define _mm_maskz_rsqrt28_round_ss | ( |  | M,
|  |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rsqrt28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)_mm_setzero_ps(), \
(__mmask8)(M), (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_ps
static __inline__ __m128 __DEFAULT_FN_ATTRS _mm_setzero_ps(void)
Constructs a 128-bit floating-point vector of [4 x float] initialized to zero.
Definition: xmmintrin.h:1903

Definition at line 126 of file avx512erintrin.h.

## ◆ _mm_maskz_rsqrt28_sd

#define _mm_maskz_rsqrt28_sd | ( |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_maskz_rsqrt28_round_sd((M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 165 of file avx512erintrin.h.

## ◆ _mm_maskz_rsqrt28_ss

#define _mm_maskz_rsqrt28_ss | ( |  | M,
|  |  | A,
|  |  | B
| ) |  | _mm_maskz_rsqrt28_round_ss((M), (A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 138 of file avx512erintrin.h.

## ◆ _mm_rcp28_round_sd

#define _mm_rcp28_round_sd | ( |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rcp28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)_mm_setzero_pd(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_pd
static __inline__ __m128d __DEFAULT_FN_ATTRS _mm_setzero_pd(void)
Constructs a 128-bit floating-point vector of [2 x double] initialized to zero.
Definition: emmintrin.h:1911

Definition at line 244 of file avx512erintrin.h.

## ◆ _mm_rcp28_round_ss

#define _mm_rcp28_round_ss | ( |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rcp28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)_mm_setzero_ps(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_ps
static __inline__ __m128 __DEFAULT_FN_ATTRS _mm_setzero_ps(void)
Constructs a 128-bit floating-point vector of [4 x float] initialized to zero.
Definition: xmmintrin.h:1903

Definition at line 217 of file avx512erintrin.h.

## ◆ _mm_rcp28_sd

#define _mm_rcp28_sd | ( |  | A,
|  |  | B
| ) |  | _mm_rcp28_round_sd((A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 262 of file avx512erintrin.h.

## ◆ _mm_rcp28_ss

#define _mm_rcp28_ss | ( |  | A,
|  |  | B
| ) |  | _mm_rcp28_round_ss((A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 235 of file avx512erintrin.h.

## ◆ _mm_rsqrt28_round_sd

#define _mm_rsqrt28_round_sd | ( |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128d)__builtin_ia32_rsqrt28sd_round_mask((__v2df)(__m128d)(A), \
(__v2df)(__m128d)(B), \
(__v2df)_mm_setzero_pd(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_pd
static __inline__ __m128d __DEFAULT_FN_ATTRS _mm_setzero_pd(void)
Constructs a 128-bit floating-point vector of [2 x double] initialized to zero.
Definition: emmintrin.h:1911

Definition at line 141 of file avx512erintrin.h.

## ◆ _mm_rsqrt28_round_ss

#define _mm_rsqrt28_round_ss | ( |  | A,
|  |  | B,
|  |  | R
| ) |  |

Value:
(__m128)__builtin_ia32_rsqrt28ss_round_mask((__v4sf)(__m128)(A), \
(__v4sf)(__m128)(B), \
(__v4sf)_mm_setzero_ps(), \
(__mmask8)-1, (int)(R))
__mmask8
unsigned char __mmask8
Definition: avx512fintrin.h:37
_mm_setzero_ps
static __inline__ __m128 __DEFAULT_FN_ATTRS _mm_setzero_ps(void)
Constructs a 128-bit floating-point vector of [4 x float] initialized to zero.
Definition: xmmintrin.h:1903

Definition at line 114 of file avx512erintrin.h.

## ◆ _mm_rsqrt28_sd

#define _mm_rsqrt28_sd | ( |  | A,
|  |  | B
| ) |  | _mm_rsqrt28_round_sd((A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 159 of file avx512erintrin.h.

## ◆ _mm_rsqrt28_ss

#define _mm_rsqrt28_ss | ( |  | A,
|  |  | B
| ) |  | _mm_rsqrt28_round_ss((A), (B), _MM_FROUND_CUR_DIRECTION)

Definition at line 132 of file avx512erintrin.h.